Bug 880543 - dblatex is not installable due to dependencies to xmltex and passvisetex
dblatex is not installable due to dependencies to xmltex and passvisetex
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dblatex (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 04:49 EST by Alexander Bokovoy
Modified: 2013-01-25 10:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-25 10:45:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Bokovoy 2012-11-27 04:49:21 EST
TeXLive packages in Fedora 18 are moving to texlive-* set. xmltex and passivetex are now texlive-xmltex-bin and texlive-passivetex. With dblatex requiring old xmltex and passivetex packages, dblatex is now cannot be installed when TeXLive is installed.

There is no direct conflict with passivetex/texlive-passivetex but since TEXMF tree is moving to /usr/share/texlive/texmf-dist, old /usr/share/texmf tree is not used anymore and its content will be ignored.

For my F18 machine
 texconfig conf |grep ^TEXMF= 
reports following:
TEXMF={/home/abokovoy/.texlive2012/texmf-config,/home/abokovoy/.texlive2012/texmf-var,/home/abokovoy/texmf,!!/usr/share/texlive/texmf-config,!!/usr/share/texlive/texmf-var,!!/usr/share/texlive/texmf,!!/usr/share/texlive/texmf-local//,!!/usr/share/texlive/texmf-dist}

Here is actual conflict:
# yum install dblatex
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package dblatex.noarch 0:0.3-5.fc18 will be installed
--> Processing Dependency: passivetex for package: dblatex-0.3-5.fc18.noarch
--> Running transaction check
---> Package passivetex.noarch 0:1.25-15.fc18 will be installed
--> Processing Dependency: xmltex >= 20020625-10 for package: passivetex-1.25-15.fc18.noarch
--> Running transaction check
---> Package xmltex.noarch 0:20020625-19.fc18 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================================================
 Package                            Arch                           Version                                   Repository                      Size
==================================================================================================================================================
Installing:
 dblatex                            noarch                         0.3-5.fc18                                fedora                         764 k
Installing for dependencies:
 passivetex                         noarch                         1.25-15.fc18                              fedora                          67 k
 xmltex                             noarch                         20020625-19.fc18                          fedora                          42 k

Transaction Summary
==================================================================================================================================================
Install  1 Package (+2 Dependent packages)

Total size: 872 k
Installed size: 5.3 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/bin/pdfxmltex from install of xmltex-20020625-19.fc18.noarch conflicts with file from package texlive-xmltex-bin-1:2012-0.svn3006.8.20121115_r28267.fc18.noarch
  file /usr/bin/xmltex from install of xmltex-20020625-19.fc18.noarch conflicts with file from package texlive-xmltex-bin-1:2012-0.svn3006.8.20121115_r28267.fc18.noarch
Comment 1 Jindrich Novy 2012-12-06 07:15:06 EST
Yes. There was a problem with obsoletion of xmltex in the current F18 texlive. I will release updates to fix this.
Comment 2 Alex Lancaster 2013-01-23 18:47:19 EST
Has this been fixed with this update?

https://admin.fedoraproject.org/updates/FEDORA-2013-0597/dblatex-0.3.4-4.fc18
Comment 3 Alexander Bokovoy 2013-01-24 06:55:28 EST
Works now with dblatex-0.3.4-4.fc18.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.